Subject: Using gdb
From: Ignasi Villagrasa <[email-masked]>
To: [email-masked]
Date: Thu, 08 Nov 2001 11:53:37 +0000

I have a problem using gdb. Following information appears in screen:

D:\mc\viao>gdb -nw s:\client\mcc_cyg\cmpr\debug\cmprnt
GNU gdb 5.0 (20010428-3)
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
(gdb) break mc_cmp
Breakpoint 1 at 0x4026f8: file /comun/src/mc_cmp.cpp, line 689.
(gdb) r
Starting program: s:\client\mcc_cyg\cmpr\debug\cmprnt.exe
/cygnus/netrel/src/gdb-20010428-3/gdb/coffread.c:472: 
gdb-internal-error: sect_i
ndex_text not initialized

mc_cmp is the first line the program should execute after main. I insert 
a breakpoint in order to avoid any program related error. I get then the 
error and the program stops and doesn't arrive at the breakpoint. 
Obviously, if I try to run without breakpoint the error occurs as well.

If I run the program directly without gdb it works properly.

This program links a mcodbcnt.dll that is not a gcc compiled dll. It's a 
Watcom C++ compiled one. But it works fine without gdb.

Where am I going wrong ?

Or is there any problem ?

Thanks in advance. Ignasi Villagrasa.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/